using System.Collections.Generic;
using UnityEngine;

public class TagSelectorAttribute : PropertyAttribute
{
	// Dummy class needed to get TagSelectorPropertyDrawer to work.
}

public class Utils
{
	public static Transform Find(Transform parent, string name) {
		Queue<Transform> queue = new Queue<Transform>();
		queue.Enqueue(parent);
		while (queue.Count > 0) {
			Transform c = queue.Dequeue();
			if (c.name == name)
				return c;
			foreach (Transform t in c)
				queue.Enqueue(t);
		}

		return null;
	}
}

